Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:51 2009

## Asterisk developer's documentation

# sip_pvt Struct Reference

sip_pvt: PVT structures are used for each SIP conversation, ie. a call More...

Collaboration diagram for sip_pvt:

[legend]

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
int | amaflags
char | authname [256]
int | authtries
int | autokillid
int | branch
ast_group_t | callgroup
char | callid [128]
int | callingpres
int | capability
struct ast_variable * | chanvars
char | cid_name [256]
char | cid_num [256]
char | context [AST_MAX_CONTEXT]
int | dialogver
char | domain [MAXHOSTNAMELEN]
int | expiry
char | exten [AST_MAX_EXTENSION]
unsigned int | flags
char | from [256]
char | fromdomain [MAXHOSTNAMELEN]
char | fromname [AST_MAX_EXTENSION]
char | fromuser [AST_MAX_EXTENSION]
char | fullcontact [SIP_LEN_CONTACT]
struct sip_history * | history
unsigned int | icseq
int | initid
struct sip_request | initreq
int | jointcapability
int | jointnoncodeccapability
char | language [MAX_LANGUAGE]
int | lastinvite
char | lastmsg [256]
time_t | lastrtprx
time_t | lastrtptx
int | laststate
ast_mutex_t | lock
int | maxtime
int | method
char | musicclass [MAX_MUSICCLASS]
struct sip_pvt * | next
char | nonce [256]
int | noncecount
int | noncodeccapability
unsigned int | ocseq
char | okcontacturi [SIP_LEN_CONTACT]
char | opaque [256]
struct sip_invite_param * | options
char | our_contact [SIP_LEN_CONTACT]
struct in_addr | ourip
struct ast_channel * | owner
struct sip_pkt * | packets
struct sip_auth * | peerauth
int | peercapability
char | peermd5secret [256]
char | peername [256]
struct sip_peer * | peerpoke
char | peersecret [256]
int | pendinginvite
ast_group_t | pickupgroup
int | prefcodec
struct ast_codec_pref | prefs
char | qop [80]
char | randdata [80]
char | rdnis [256]
char | realm [MAXHOSTNAMELEN]
struct sockaddr_in | recv
int | redircodecs
struct sockaddr_in | redirip
struct sip_pvt * | refer_call
char | refer_contact [SIP_LEN_CONTACT]
char | refer_to [AST_MAX_EXTENSION]
char | referred_by [AST_MAX_EXTENSION]
struct sip_registry * | registry
struct sip_route * | route
int | route_persistant
char * | rpid
char * | rpid_from
struct ast_rtp * | rtp
int | rtpholdtimeout
int | rtpkeepalive
int | rtptimeout
struct sockaddr_in | sa
int | sessionid
int | sessionversion
unsigned int | sipoptions
int | stateid
char | subscribecontext [AST_MAX_CONTEXT]
enum subscriptiontype | subscribed
char | tag [11]
char | theirtag [256]
int | timer_t1
char | tohost [MAXHOSTNAMELEN]
char | uri [256]
char | useragent [256]
char | username [256]
struct ast_dsp * | vad
char | via [256]
struct sockaddr_in | vredirip
struct ast_rtp * | vrtp

## Detailed Description

sip_pvt: PVT structures are used for each SIP conversation, ie. a call

Definition at line 592 of file chan_sip.c.

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Account code

Definition at line 657 of file chan_sip.c.

Referenced by check_user_full().

int amaflags

AMA Flags

Definition at line 668 of file chan_sip.c.

Referenced by check_user_full().

char authname[256]

Who we use for authentication

Definition at line 647 of file chan_sip.c.

Referenced by build_reply_digest(), check_user_full(), create_addr_from_peer(), handle_response(), and transmit_register().

int authtries

Times we've tried to authenticate

Definition at line 613 of file chan_sip.c.

Referenced by do_proxy_auth(), do_register_auth(), handle_response(), handle_response_invite(), and handle_response_register().

int autokillid

Auto-kill ID

Definition at line 679 of file chan_sip.c.

Referenced by __sip_autodestruct(), __sip_destroy(), cb_extensionstate(), handle_request_subscribe(), sip_alloc(), sip_cancel_destroy(), and sip_scheddestroy().

int branch

One random number

Definition at line 615 of file chan_sip.c.

Referenced by build_via(), reqprep(), sip_alloc(), transmit_invite(), transmit_register(), and transmit_response_using_temp().

ast_group_t callgroup

Call group

Definition at line 600 of file chan_sip.c.

Referenced by check_user_full(), and create_addr_from_peer().

char callid[128]

Global CallID

Definition at line 595 of file chan_sip.c.

Referenced by __sip_ack(), __sip_autodestruct(), __sip_destroy(), __sip_semi_ack(), __sip_show_channels(), build_reply_digest(), check_pendings(), complete_sipch(), create_addr_from_peer(), find_call(), get_refer_info(), get_sip_pvt_byid_locked(), handle_request_info(), handle_request_invite(), handle_request_refer(), handle_request_subscribe(), handle_response_invite(), initreqprep(), parse_sip_options(), receive_message(), retrans_pkt(), sip_alloc(), sip_dump_history(), sip_hangup(), sip_indicate(), sip_notify(), sip_poke_peer(), sip_request_call(), sip_scheddestroy(), sip_send_mwi_to_peer(), sip_set_rtp_peer(), sip_show_channel(), sip_show_history(), sipsock_read(), transmit_register(), transmit_request_with_auth(), transmit_response_using_temp(), and transmit_response_with_sdp().

int callingpres

Calling presentation

Definition at line 612 of file chan_sip.c.

Referenced by build_rpid(), check_user_full(), initreqprep(), and sip_call().

int capability

Special capability (codec)

Definition at line 606 of file chan_sip.c.

Referenced by check_user_full(), create_addr_from_peer(), handle_request_invite(), process_sdp(), sip_alloc(), sip_call(), sip_new(), sip_show_channel(), and try_suggested_sip_codec().

struct ast_variable* chanvars`[read]`

Channel variables to set for call

Definition at line 698 of file chan_sip.c.

Referenced by __sip_destroy(), check_user_full(), and sip_alloc().

char cid_name[256]

Caller*ID

Definition at line 654 of file chan_sip.c.

Referenced by check_user_full().

char cid_num[256]

Caller*ID

Definition at line 653 of file chan_sip.c.

Referenced by __sip_show_channels(), check_user_full(), and sip_show_channel().

char context[AST_MAX_CONTEXT]

Context for this call

Definition at line 635 of file chan_sip.c.

Referenced by check_user_full(), create_addr_from_peer(), get_also_info(), get_destination(), get_refer_info(), handle_request_bye(), handle_request_invite(), handle_request_options(), handle_request_refer(), handle_request_subscribe(), handle_response(), sip_alloc(), and transmit_state_notify().

int dialogver

Definition at line 688 of file chan_sip.c.

Referenced by handle_request_subscribe(), and transmit_state_notify().

char domain[MAXHOSTNAMELEN]

Authorization domain

Definition at line 666 of file chan_sip.c.

Referenced by build_reply_digest(), get_destination(), reply_digest(), and transmit_register().

int expiry

How long we take to expire

Definition at line 614 of file chan_sip.c.

Referenced by handle_request_subscribe(), parse_register_contact(), register_verify(), respprep(), and transmit_state_notify().

char exten[AST_MAX_EXTENSION]

Extension where to start

Definition at line 626 of file chan_sip.c.

Referenced by __sip_show_channels(), build_contact(), check_user_full(), get_destination(), handle_request_invite(), handle_request_subscribe(), initreqprep(), register_verify(), transmit_register(), and transmit_state_notify().

unsigned int flags

SIP_ flags

Definition at line 603 of file chan_sip.c.

char from[256]

The From: header

Definition at line 633 of file chan_sip.c.

Referenced by check_user_full(), function_sipchaninfo_read(), and transmit_refer().

char fromdomain[MAXHOSTNAMELEN]

Domain to show in the from field

Definition at line 637 of file chan_sip.c.

Referenced by build_rpid(), create_addr_from_peer(), get_destination(), initreqprep(), sip_alloc(), sip_notify(), sip_poke_peer(), sip_request_call(), sip_send_mwi_to_peer(), transmit_notify_with_mwi(), transmit_register(), and transmit_response_using_temp().

char fromname[AST_MAX_EXTENSION]

Name to show in the user field

Definition at line 639 of file chan_sip.c.

Referenced by initreqprep().

char fromuser[AST_MAX_EXTENSION]

User to show in the user field

Definition at line 638 of file chan_sip.c.

Referenced by build_rpid(), create_addr_from_peer(), initreqprep(), and transmit_register().

char fullcontact[SIP_LEN_CONTACT]

The Contact: that the UA registers with us

Definition at line 656 of file chan_sip.c.

Referenced by check_user_full(), create_addr_from_peer(), initreqprep(), parse_ok_contact(), sip_poke_peer(), and sip_request_call().

struct sip_history* history`[read]`

History of this SIP dialog

Definition at line 697 of file chan_sip.c.

Referenced by __sip_destroy(), append_history(), sip_dump_history(), sip_show_history(), and transmit_response_using_temp().

unsigned int icseq

Current incoming seqno

Definition at line 599 of file chan_sip.c.

Referenced by __sip_show_channels(), and handle_request().

int initid

Auto-congest ID if appropriate

Definition at line 678 of file chan_sip.c.

Referenced by __sip_destroy(), auto_congest(), handle_response(), sip_alloc(), sip_call(), and sip_hangup().

struct sip_request initreq`[read]`

Initial request

Definition at line 675 of file chan_sip.c.

Referenced by create_addr_from_peer(), func_header_read(), get_also_info(), get_destination(), get_rdnis(), get_refer_info(), handle_request(), handle_request_bye(), handle_request_cancel(), handle_request_invite(), handle_request_register(), handle_request_subscribe(), handle_response(), handle_response_invite(), handle_response_register(), register_verify(), reqprep(), sip_answer(), sip_getheader(), sip_hangup(), sip_indicate(), sip_sipredirect(), sip_write(), transmit_fake_auth_response(), transmit_invite(), transmit_notify_with_mwi(), transmit_notify_with_sipfrag(), transmit_refer(), transmit_register(), transmit_reinvite_with_sdp(), transmit_sip_request(), and transmit_state_notify().

int jointcapability

Supported capability at both ends (codecs )

Definition at line 607 of file chan_sip.c.

Referenced by add_sdp(), check_user_full(), handle_request_invite(), process_sdp(), sip_call(), sip_new(), sip_rtp_read(), sip_show_channel(), and try_suggested_sip_codec().

int jointnoncodeccapability

Definition at line 611 of file chan_sip.c.

Referenced by add_sdp(), check_user_full(), process_sdp(), sip_alloc(), and sip_call().

char language[MAX_LANGUAGE]

Default language for this call

Definition at line 641 of file chan_sip.c.

Referenced by check_user_full(), and create_addr_from_peer().

int lastinvite

Last Cseq of invite

Definition at line 602 of file chan_sip.c.

Referenced by handle_request(), handle_request_invite(), handle_request_options(), handle_request_subscribe(), transmit_invite(), and transmit_reinvite_with_sdp().

char lastmsg[256]

Last Message sent/received

Definition at line 667 of file chan_sip.c.

Referenced by __sip_show_channels(), handle_request(), initreqprep(), reqprep(), and sip_show_channel().

time_t lastrtprx

Last RTP received

Definition at line 680 of file chan_sip.c.

Referenced by add_sdp(), do_monitor(), process_sdp(), sip_read(), and sip_set_rtp_peer().

time_t lastrtptx

Last RTP sent

Definition at line 681 of file chan_sip.c.

Referenced by add_sdp(), do_monitor(), process_sdp(), sip_set_rtp_peer(), and sip_write().

int laststate

Last known extension state

Definition at line 687 of file chan_sip.c.

Referenced by __sip_show_channels(), cb_extensionstate(), and handle_request_subscribe().

ast_mutex_t lock

Channel private lock

Definition at line 593 of file chan_sip.c.

Referenced by __sip_ack(), __sip_destroy(), auto_congest(), cb_extensionstate(), do_monitor(), find_call(), get_sip_pvt_byid_locked(), handle_request_invite(), handle_request_refer(), handle_request_subscribe(), retrans_pkt(), sip_alloc(), sip_answer(), sip_dtmfmode(), sip_fixup(), sip_get_rtp_peer(), sip_get_vrtp_peer(), sip_hangup(), sip_indicate(), sip_new(), sip_read(), sip_request_call(), sip_senddigit(), sip_set_rtp_peer(), sip_transfer(), sip_write(), and sipsock_read().

int maxtime

Max time for first response

Definition at line 677 of file chan_sip.c.

Referenced by create_addr_from_peer(), and sip_call().

int method

SIP method of this packet

Definition at line 594 of file chan_sip.c.

Referenced by handle_request(), respprep(), sip_alloc(), and transmit_response_using_temp().

char musicclass[MAX_MUSICCLASS]

Music on Hold class

Definition at line 642 of file chan_sip.c.

Referenced by check_user_full(), and sip_alloc().

struct sip_pvt* next`[read]`

Next call in chain

Definition at line 699 of file chan_sip.c.

Referenced by __sip_destroy(), __sip_show_channels(), complete_sipch(), do_monitor(), find_call(), get_sip_pvt_byid_locked(), handle_request_subscribe(), sip_alloc(), sip_show_channel(), sip_show_history(), and unload_module().

char nonce[256]

Authorization nonce

Definition at line 662 of file chan_sip.c.

Referenced by build_reply_digest(), reply_digest(), transmit_fake_auth_response(), and transmit_register().

int noncecount

Nonce-count

Definition at line 663 of file chan_sip.c.

Referenced by build_reply_digest(), reply_digest(), and transmit_register().

int noncodeccapability

Definition at line 610 of file chan_sip.c.

Referenced by check_user_full(), create_addr_from_peer(), process_sdp(), sip_alloc(), sip_call(), and sip_show_channel().

unsigned int ocseq

Current outgoing seqno

Definition at line 598 of file chan_sip.c.

Referenced by __sip_show_channels(), check_pendings(), handle_request(), initreqprep(), reqprep(), sip_alloc(), sip_hangup(), transmit_info_with_digit(), transmit_info_with_vidupdate(), transmit_invite(), transmit_message_with_text(), transmit_notify_with_mwi(), transmit_notify_with_sipfrag(), transmit_refer(), transmit_register(), transmit_reinvite_with_sdp(), transmit_request(), transmit_request_with_auth(), transmit_response_using_temp(), transmit_sip_request(), and transmit_state_notify().

char okcontacturi[SIP_LEN_CONTACT]

URI from the 200 OK on INVITE

Definition at line 649 of file chan_sip.c.

Referenced by parse_ok_contact(), and reqprep().

char opaque[256]

Opaque nonsense

Definition at line 664 of file chan_sip.c.

Referenced by build_reply_digest(), reply_digest(), and transmit_register().

struct sip_invite_param* options`[read]`

Options for INVITE

Definition at line 700 of file chan_sip.c.

Referenced by __sip_destroy(), do_proxy_auth(), handle_response_invite(), initreqprep(), sip_call(), sip_getheader(), sip_request_call(), transmit_invite(), and transmit_request_with_auth().

char our_contact[SIP_LEN_CONTACT]

Our contact header

Definition at line 658 of file chan_sip.c.

Referenced by build_contact(), check_user_full(), handle_response_register(), initreqprep(), parse_register_contact(), reqprep(), respprep(), sip_sipredirect(), transmit_refer(), and transmit_register().

struct in_addr ourip`[read]`

Our IP

Definition at line 624 of file chan_sip.c.

Referenced by add_sdp(), build_contact(), build_rpid(), build_via(), initreqprep(), sip_alloc(), sip_notify(), sip_poke_peer(), sip_request_call(), sip_send_mwi_to_peer(), sip_set_rtp_peer(), sip_show_channel(), transmit_notify_with_mwi(), transmit_register(), and transmit_response_using_temp().

struct ast_channel* owner`[read]`

Who owns us

Definition at line 625 of file chan_sip.c.

Referenced by __sip_autodestruct(), __sip_destroy(), __sip_show_channels(), __transmit_response(), attempt_transfer(), auto_congest(), build_rpid(), do_monitor(), get_refer_info(), get_sip_pvt_byid_locked(), handle_request_bye(), handle_request_cancel(), handle_request_info(), handle_request_invite(), handle_request_refer(), handle_response(), handle_response_invite(), initreqprep(), parse_moved_contact(), process_sdp(), receive_message(), retrans_pkt(), sip_fixup(), sip_hangup(), sip_rtp_read(), sip_show_channel(), sipsock_read(), transmit_invite(), transmit_request_with_auth(), try_suggested_sip_codec(), and unload_module().

struct sip_pkt* packets`[read]`

Packets scheduled for re-transmission

Definition at line 696 of file chan_sip.c.

Referenced by __sip_ack(), __sip_destroy(), __sip_pretend_ack(), __sip_reliable_xmit(), __sip_semi_ack(), do_monitor(), and retrans_pkt().

struct sip_auth* peerauth`[read]`

Realm authentication

Definition at line 652 of file chan_sip.c.

int peercapability

Supported peer capability

Definition at line 608 of file chan_sip.c.

Referenced by check_user_full(), process_sdp(), sip_get_codec(), and sip_show_channel().

char peermd5secret[256]

Definition at line 651 of file chan_sip.c.

Referenced by build_reply_digest(), check_user_full(), create_addr_from_peer(), and transmit_register().

char peername[256]

[peer] name, not set if [user]

Definition at line 646 of file chan_sip.c.

Referenced by check_user_full(), create_addr_from_peer(), function_sipchaninfo_read(), sip_request_call(), sip_show_channel(), transmit_register(), and update_call_counter().

struct sip_peer* peerpoke`[read]`

If this calls is to poke a peer, which one

Definition at line 692 of file chan_sip.c.

Referenced by handle_response(), handle_response_peerpoke(), and sip_poke_peer().

char peersecret[256]

Password

Definition at line 650 of file chan_sip.c.

Referenced by build_reply_digest(), check_user_full(), create_addr_from_peer(), and transmit_register().

int pendinginvite

Any pending invite

Definition at line 669 of file chan_sip.c.

Referenced by __sip_ack(), __sip_reliable_xmit(), handle_request(), handle_request_bye(), handle_request_invite(), sip_hangup(), and sip_set_rtp_peer().

ast_group_t pickupgroup

Pickup group

Definition at line 601 of file chan_sip.c.

Referenced by check_user_full(), and create_addr_from_peer().

int prefcodec

Preferred codec (outbound only)

Definition at line 609 of file chan_sip.c.

Referenced by add_sdp(), and sip_request_call().

struct ast_codec_pref prefs`[read]`

codec prefs

Definition at line 597 of file chan_sip.c.

Referenced by add_sdp(), check_user_full(), create_addr_from_peer(), process_sdp(), sip_alloc(), and sip_new().

char qop[80]

Quality of Protection, since SIP wasn't complicated enough yet.

Definition at line 665 of file chan_sip.c.

Referenced by build_reply_digest(), reply_digest(), and transmit_register().

char randdata[80]

Random data

Definition at line 596 of file chan_sip.c.

Referenced by check_user_full(), handle_request(), handle_request_invite(), handle_request_subscribe(), register_verify(), and transmit_fake_auth_response().

char rdnis[256]

Referring DNIS

Definition at line 643 of file chan_sip.c.

Referenced by get_rdnis().

char realm[MAXHOSTNAMELEN]

Authorization realm

Definition at line 661 of file chan_sip.c.

Referenced by build_reply_digest(), reply_digest(), transmit_register(), and transmit_request_with_auth().

struct sockaddr_in recv`[read]`

Received as

Definition at line 623 of file chan_sip.c.

Referenced by __sip_xmit(), check_user_full(), copy_via_headers(), create_addr(), create_addr_from_peer(), function_sipchaninfo_read(), handle_request_bye(), handle_response(), parse_ok_contact(), parse_register_contact(), retrans_pkt(), send_request(), send_response(), sip_alloc(), sip_debug_test_pvt(), sip_poke_peer(), sip_show_channel(), sipsock_read(), and transmit_response_using_temp().

int redircodecs

Redirect codecs

Definition at line 622 of file chan_sip.c.

Referenced by add_sdp(), and sip_set_rtp_peer().

struct sockaddr_in redirip`[read]`

Where our RTP should be going if not to us

Definition at line 620 of file chan_sip.c.

Referenced by add_sdp(), do_monitor(), sip_set_rtp_peer(), and sip_show_channel().

struct sip_pvt* refer_call`[read]`

Call we are referring

Definition at line 630 of file chan_sip.c.

Referenced by get_also_info(), get_refer_info(), and handle_request_refer().

char refer_contact[SIP_LEN_CONTACT]

Place to store Contact info from a REFER extension

Definition at line 629 of file chan_sip.c.

Referenced by get_also_info(), and get_refer_info().

char refer_to[AST_MAX_EXTENSION]

Place to store REFER-TO extension

Definition at line 627 of file chan_sip.c.

Referenced by get_also_info(), get_refer_info(), handle_request_bye(), handle_request_refer(), transmit_invite(), and transmit_refer().

char referred_by[AST_MAX_EXTENSION]

Place to store REFERRED-BY extension

Definition at line 628 of file chan_sip.c.

Referenced by get_also_info(), get_refer_info(), transmit_invite(), and transmit_refer().

struct sip_registry* registry`[read]`

If this is a REGISTER call, to which registry

Definition at line 693 of file chan_sip.c.

Referenced by __sip_destroy(), do_register_auth(), handle_response(), handle_response_register(), reply_digest(), sip_reg_timeout(), sip_registry_destroy(), and transmit_register().

struct sip_route* route`[read]`

Head of linked list of routing steps (fm Record-Route)

Definition at line 631 of file chan_sip.c.

Referenced by __sip_destroy(), build_route(), reqprep(), and sip_show_channel().

int route_persistant

Is this the "real" route?

Definition at line 632 of file chan_sip.c.

Referenced by build_route().

char* rpid

Our RPID header

Definition at line 659 of file chan_sip.c.

Referenced by __sip_destroy(), build_rpid(), initreqprep(), and reqprep().

char* rpid_from

Our RPID From header

Definition at line 660 of file chan_sip.c.

Referenced by __sip_destroy(), build_rpid(), and initreqprep().

struct ast_rtp* rtp`[read]`

RTP Session

Definition at line 694 of file chan_sip.c.

Referenced by __sip_destroy(), add_codec_to_sdp(), add_noncodec_to_sdp(), add_sdp(), check_user_full(), create_addr_from_peer(), do_monitor(), handle_request_bye(), handle_request_cancel(), handle_response(), process_sdp(), sip_alloc(), sip_get_rtp_peer(), sip_rtp_read(), sip_senddigit(), sip_write(), transmit_invite(), transmit_reinvite_with_sdp(), and transmit_response_with_sdp().

int rtpholdtimeout

RTP timeout when on hold

Definition at line 683 of file chan_sip.c.

Referenced by create_addr_from_peer(), do_monitor(), and sip_alloc().

int rtpkeepalive

Send RTP packets for keepalive

Definition at line 684 of file chan_sip.c.

Referenced by create_addr_from_peer(), do_monitor(), and sip_alloc().

int rtptimeout

RTP timeout time

Definition at line 682 of file chan_sip.c.

Referenced by create_addr_from_peer(), do_monitor(), and sip_alloc().

struct sockaddr_in sa`[read]`

Our peer

Definition at line 619 of file chan_sip.c.

Referenced by __sip_show_channels(), __sip_xmit(), build_reply_digest(), check_via(), create_addr(), create_addr_from_peer(), function_sipchaninfo_read(), handle_request(), handle_request_subscribe(), handle_response(), initreqprep(), parse_ok_contact(), retrans_pkt(), send_request(), send_response(), set_destination(), sip_alloc(), sip_debug_test_pvt(), sip_notify(), sip_poke_peer(), sip_request_call(), sip_send_mwi_to_peer(), sip_show_channel(), transmit_register(), and transmit_response_using_temp().

int sessionid

SDP Session ID

Definition at line 617 of file chan_sip.c.

Referenced by add_sdp().

int sessionversion

SDP Session Version

Definition at line 618 of file chan_sip.c.

Referenced by add_sdp().

unsigned int sipoptions

Supported SIP sipoptions on the other end

Definition at line 605 of file chan_sip.c.

Referenced by check_user_full(), handle_request_invite(), parse_register_contact(), parse_sip_options(), and sip_show_channel().

int stateid

Definition at line 686 of file chan_sip.c.

Referenced by __sip_destroy(), cb_extensionstate(), handle_request_subscribe(), and sip_alloc().

char subscribecontext[AST_MAX_CONTEXT]

Subscribecontext

Definition at line 636 of file chan_sip.c.

Referenced by check_user_full(), and handle_request_subscribe().

enum subscriptiontype subscribed

Is this call a subscription?

Definition at line 685 of file chan_sip.c.

Referenced by __sip_autodestruct(), __sip_show_channels(), cb_extensionstate(), handle_request_subscribe(), handle_response(), sip_alloc(), sip_dump_history(), sip_show_channel(), sip_show_history(), and transmit_state_notify().

char tag[11]

Another random number

Definition at line 616 of file chan_sip.c.

Referenced by build_rpid(), find_call(), handle_request_invite(), handle_request_subscribe(), initreqprep(), reqprep(), respprep(), sip_alloc(), sip_show_channel(), transmit_register(), and transmit_response_using_temp().

char theirtag[256]

Their tag

Definition at line 644 of file chan_sip.c.

Referenced by find_call(), handle_request(), handle_request_invite(), handle_response(), handle_response_invite(), initreqprep(), reqprep(), respprep(), sip_show_channel(), and transmit_register().

int timer_t1

SIP timer T1, ms rtt

Definition at line 604 of file chan_sip.c.

Referenced by __sip_reliable_xmit(), check_user_full(), create_addr(), create_addr_from_peer(), and sip_alloc().

char tohost[MAXHOSTNAMELEN]

Host we should put in the "to" field

Definition at line 640 of file chan_sip.c.

Referenced by create_addr(), create_addr_from_peer(), initreqprep(), sip_poke_peer(), and transmit_register().

char uri[256]

Original requested URI

Definition at line 648 of file chan_sip.c.

Referenced by build_reply_digest(), extract_uri(), function_sipchaninfo_read(), initreqprep(), reqprep(), sip_show_channel(), and transmit_register().

char useragent[256]

User agent in SIP request

Definition at line 634 of file chan_sip.c.

Referenced by function_sipchaninfo_read(), handle_request(), handle_request_subscribe(), and sip_show_channel().

char username[256]

[user] name

Definition at line 645 of file chan_sip.c.

Referenced by __sip_show_channels(), build_reply_digest(), cb_extensionstate(), check_user_full(), create_addr_from_peer(), handle_request_invite(), handle_request_subscribe(), handle_response(), initreqprep(), sip_call(), sip_hangup(), sip_poke_peer(), sip_request_call(), sip_show_channel(), transmit_register(), and update_call_counter().

struct ast_dsp* vad`[read]`

Voice Activation Detection dsp

Definition at line 690 of file chan_sip.c.

Referenced by sip_dtmfmode(), sip_hangup(), and sip_rtp_read().

char via[256]

Via: header

Definition at line 655 of file chan_sip.c.

Referenced by initreqprep(), reqprep(), sip_alloc(), sip_notify(), sip_poke_peer(), sip_request_call(), sip_send_mwi_to_peer(), transmit_invite(), and transmit_response_using_temp().

struct sockaddr_in vredirip`[read]`

Where our Video RTP should be going if not to us

Definition at line 621 of file chan_sip.c.

Referenced by add_sdp(), and sip_set_rtp_peer().

struct ast_rtp* vrtp`[read]`

Video RTP session

Definition at line 695 of file chan_sip.c.

Referenced by __sip_destroy(), add_sdp(), check_user_full(), create_addr_from_peer(), handle_request_bye(), handle_request_cancel(), handle_response(), process_sdp(), sip_alloc(), sip_get_vrtp_peer(), sip_indicate(), sip_rtp_read(), and sip_write().

The documentation for this struct was generated from the following file:

- chan_sip.c